Skip to main content

updateApiKey

Update a company API key

updateApiKey(
input: UpdateApiKeyInput!
): UpdateApiKeyPayload

Arguments​

updateApiKey.input ● UpdateApiKeyInput! non-null input​

Parameters for UpdateApiKey

Type​

UpdateApiKeyPayload object​

Autogenerated return type of UpdateApiKey.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateApiKey($input: UpdateApiKeyInput!) {\n updateApiKey(input: $input) { apiKey { id name status } clientMutationId token }\n}","variables":{"input":{"id":"example-id","companyId":"<company_id>","name":"example","expiresAt":"<ISO8601DateTime>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute